Bug 589429 - [CEDAR] X server sends not HDMI signal / livecd fails to display (ATI Radeon HD 5450)
[CEDAR] X server sends not HDMI signal / livecd fails to display (ATI Radeon ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
13
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-06 02:45 EDT by Michael De La Rue
Modified: 2018-04-11 14:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:07:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log file from F13 server running with -logverbose 4 (120.50 KB, text/plain)
2010-05-06 02:45 EDT, Michael De La Rue
no flags Details
dmesg from booting f13 (44.28 KB, text/plain)
2010-05-06 02:47 EDT, Michael De La Rue
no flags Details
lspci from f13 (2.06 KB, text/plain)
2010-05-06 02:49 EDT, Michael De La Rue
no flags Details
varous log files in a tarball. (85.92 KB, application/x-gzip)
2010-05-06 02:55 EDT, Michael De La Rue
no flags Details
f12-dmesg from the archive (42.16 KB, text/plain)
2010-11-15 11:42 EST, Matěj Cepl
no flags Details
f12-messages from the archive (64.69 KB, text/plain)
2010-11-15 11:43 EST, Matěj Cepl
no flags Details
f12-Xorg.0.log from the archive (74.11 KB, text/plain)
2010-11-15 11:43 EST, Matěj Cepl
no flags Details
f13-dmesg from the archive (44.28 KB, text/plain)
2010-11-15 11:43 EST, Matěj Cepl
no flags Details
f13-lspci from the archive (2.06 KB, text/plain)
2010-11-15 11:43 EST, Matěj Cepl
no flags Details
f13-lspci-vv from the archive (32.43 KB, text/plain)
2010-11-15 11:43 EST, Matěj Cepl
no flags Details
f13-messages from the archive (62.51 KB, text/plain)
2010-11-15 11:43 EST, Matěj Cepl
no flags Details
f13-rpm-qa-xorg from the archive (2.10 KB, text/plain)
2010-11-15 11:43 EST, Matěj Cepl
no flags Details
f13-Xorg.0.log from the archive (36.60 KB, text/plain)
2010-11-15 11:43 EST, Matěj Cepl
no flags Details
f13-X-verbose-log from the archive (120.50 KB, text/plain)
2010-11-15 11:44 EST, Matěj Cepl
no flags Details
f13-X-verbose-start from the archive (225 bytes, text/plain)
2010-11-15 11:44 EST, Matěj Cepl
no flags Details

  None (edit)
Description Michael De La Rue 2010-05-06 02:45:42 EDT
Created attachment 411839 [details]
Xorg.0.log file from F13 server running with -logverbose 4

Description of problem:
If I boot from the F13 beta livecd at the point where the X server starts, my screen shows no display.  On F12 everything seems to work.  

Obviously this means that the livecd and probably install system and Xserver generally won't work on my hardware.

Version-Release number of selected component (if applicable):
F13-Beta-x86_64-Live.iso
xorg-x11-server-Xorg-1.7.99.902-2.20100319.fc13.x86_64

How reproducible:
every time

Steps to Reproduce:
1. boot livecd
2.
3.
  
Actual results:
Monitor shows "HDMI no input" 

Expected results:
Screen displays.

Additional info:
I've booted into runlevel 3 and then captured various information.  I can't see anything when I change to another console to get logs, but it seems the consoles are still reacting and I can run commands blind.  

I have a relatively new Gigabyte Radeon HD 5450.  It should be a pretty standard new graphics card and was bought specifically because I understood it had good free driver support. 

Attached: log file from X server running in verbose mode.
To come: lspci / dmesg / fedora12 logs / etc.
Comment 1 Michael De La Rue 2010-05-06 02:47:52 EDT
Created attachment 411842 [details]
dmesg from booting f13

this should be the dmesg up to and including the time when the X server fails.
Comment 2 Michael De La Rue 2010-05-06 02:49:50 EDT
Created attachment 411845 [details]
lspci from f13

lspci from system.  Shows also an intel graphics controller which isn't connected to any screens.  In any case the Radeon is active during boot.
Comment 3 Michael De La Rue 2010-05-06 02:55:13 EDT
Created attachment 411848 [details]
varous log files in a tarball.

f12-dmesg - fedora 12 dmesg for comparison
f12-messages - fedora 12 messages for comparison
f12-Xorg.0.log - fedora 12 X log for comparison
f13-dmesg - f13 dmesg
f13-lspci - output of lspci
f13-lspci-vv - output of lspci -vv
f13-messages - f13 messages after X failure
f13-rpm-qa-xorg - output of rpm -qa 'xorg*'
f13-Xorg.0.log - /var/log/Xorg.0.log just after fail
f13-X-verbose-log - verbose output of X server
f13-X-verbose-start - stdout of X server (failed to gather right stuff I think)
Comment 4 Matěj Cepl 2010-11-15 11:42:59 EST
Created attachment 460571 [details]
f12-dmesg from the archive
Comment 5 Matěj Cepl 2010-11-15 11:43:06 EST
Created attachment 460572 [details]
f12-messages from the archive
Comment 6 Matěj Cepl 2010-11-15 11:43:13 EST
Created attachment 460573 [details]
f12-Xorg.0.log from the archive
Comment 7 Matěj Cepl 2010-11-15 11:43:20 EST
Created attachment 460574 [details]
f13-dmesg from the archive
Comment 8 Matěj Cepl 2010-11-15 11:43:27 EST
Created attachment 460575 [details]
f13-lspci from the archive
Comment 9 Matěj Cepl 2010-11-15 11:43:34 EST
Created attachment 460576 [details]
f13-lspci-vv from the archive
Comment 10 Matěj Cepl 2010-11-15 11:43:41 EST
Created attachment 460578 [details]
f13-messages from the archive
Comment 11 Matěj Cepl 2010-11-15 11:43:48 EST
Created attachment 460579 [details]
f13-rpm-qa-xorg from the archive
Comment 12 Matěj Cepl 2010-11-15 11:43:54 EST
Created attachment 460580 [details]
f13-Xorg.0.log from the archive
Comment 13 Matěj Cepl 2010-11-15 11:44:01 EST
Created attachment 460581 [details]
f13-X-verbose-log from the archive
Comment 14 Matěj Cepl 2010-11-15 11:44:07 EST
Created attachment 460582 [details]
f13-X-verbose-start from the archive
Comment 15 Matěj Cepl 2010-11-15 16:15:30 EST
(In reply to comment #0)
> Description of problem:
> If I boot from the F13 beta livecd at the point where the X server starts, my
> screen shows no display.  On F12 everything seems to work.  

It seems that your were running on VESA driver on F12, but now F13 tries Radeon and it seems to fail spectularly. What happens when you run LiveCD with basic video driver. I am not sure whether it will work, we have some indications it wouldn't.

You can also try to add nomodeset to the kernel command line of the LiveCD. Would it help?

If it doesn't work then, there seems to be truly a problem.
Comment 16 Jérôme Glisse 2010-11-15 16:24:03 EST
Michael your hw was not supported in F12 and was only in early state of support in F13. Would be interesting to know what is the result of F14 livecd on this hw, it should behave properly now (make sure to not add anythings to the boot command option as you really want to use kms).
Comment 17 Dagan McGregor 2011-03-03 00:33:18 EST
I realise this is an old bug, but I recommend upgrading, which I have had success with on my laptop and ATI 5650 mobile card

See my notes here: http://phoronix.com/forums/showthread.php?28565-HD5650-%28Redwood%29-on-Fedora-14

Note: I am currently running updates from F15 Rawhide, 2.6.38 kernels. They all work, except 2.6.38-rc5 which is what F15 Alpha RC2 currently is.

HTH!
Comment 18 Bug Zapper 2011-06-02 10:26:26 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2011-06-27 12:07:39 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.